require('dotenv').config();

const Discord = require('discord.js');
const {Client} = Discord;
const client = new Client();
const fs = require('fs');

(async () => {
	await client.login(process.env.DISCORD_BOT_TOKEN).catch((err) => {
		console.log(c.error(err));
	});
})();

client.on('ready', () => {
	console.log(`${client.user.tag} has logged in.`);
});

let currentMessages = new Object();
client.on('message', async (message) => {
	if (message.author.bot) return;
	fs.readFile('./messages.json', 'utf8', async (err, data) => {
		if (err) {
			return console.log(err);
		}

		let messages;
		try {
			messages = JSON.parse(data);
		} catch {
			console.log('Invalid JSON on messages file.');
		}

		if (typeof messages === 'object') {
			if (typeof messages[message.channel.id] === 'string') {
				const currentMessage = currentMessages[message.channel.id];
				if (currentMessage instanceof Discord.Message) {
					currentMessage.delete();
				}
				currentMessages[message.channel.id] = await message.channel.send(messages[message.channel.id]).catch((err) => {
					console.log(`Could not send message to ${message.channel.id}`);
				});
			}
		}
	});
});
